﻿using System.Linq;
using System.Windows;
using System.Windows.Input;
using Telerik.Windows.Controls;
using Telerik.Windows.Controls.ChartView;

namespace Zoom_Behavior
{
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            this.DataContext = new ViewModel();
            this.chart.Loaded += Chart_Loaded;
        }
        public bool IsUserScolling { get; set; }
        private void Chart_Loaded(object sender, RoutedEventArgs e)
        {
            var panZoomBar = this.chart.ChildrenOfType<PanZoomBar>().FirstOrDefault();
            panZoomBar.PreviewMouseDown += PanZoomBar_PreviewMouseDown;
            panZoomBar.PreviewMouseUp += PanZoomBar_PreviewMouseUp; ;
        }

        private void PanZoomBar_PreviewMouseUp(object sender, MouseButtonEventArgs e)
        {
            IsUserScolling = false;
        }

        private void PanZoomBar_PreviewMouseDown(object sender, MouseButtonEventArgs e)
        {
            IsUserScolling = true;
        }

        private void RadButton_Click(object sender, RoutedEventArgs e)
        {
            this.chart.PanOffset = new Point(this.chart.PanOffset.X-100, 0);
        }

        private void Chart_PanOffsetChanged(object sender, ChartPanOffsetChangedEventArgs e)
        {
            if(IsUserScolling)
            {
                ;
            }
        }
    }
}
